Package net.commoble.jumbofurnace

# Class JumboFurnaceUtils

java.lang.Object
net.commoble.jumbofurnace.JumboFurnaceUtils

public class JumboFurnaceUtils extends Object

## Constructor Summary

Constructors
Constructor
Description
`JumboFurnaceUtils()`

## Method Summary

Modifier and Type
Method
Description
`static net.neoforged.neoforge.items.IItemHandler`
`copyItemHandler(net.neoforged.neoforge.items.IItemHandler itemHandler)`
`static void`
`copyItemHandlerTo(net.neoforged.neoforge.items.IItemHandler from, net.neoforged.neoforge.items.IItemHandlerModifiable to)`
`static int`
`getJumboSmeltingBurnTime(net.minecraft.world.item.ItemStack stack, net.minecraft.world.level.block.entity.FuelValues fuelValues)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JumboFurnaceUtils

public JumboFurnaceUtils()

## Method Details

### getJumboSmeltingBurnTime

public static int getJumboSmeltingBurnTime(net.minecraft.world.item.ItemStack stack, net.minecraft.world.level.block.entity.FuelValues fuelValues)

Parameters:
  `stack` - Itemstack to be used as fuel for a jumbo furnace.
Returns:
  If the itemstack provides a burn time specific to jumbo smelting, returns that. Otherwise, returns the burn time for vanilla furnace smelting.

### copyItemHandler

public static net.neoforged.neoforge.items.IItemHandler copyItemHandler(net.neoforged.neoforge.items.IItemHandler itemHandler)

### copyItemHandlerTo

public static void copyItemHandlerTo(net.neoforged.neoforge.items.IItemHandler from, net.neoforged.neoforge.items.IItemHandlerModifiable to)